Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Interface DoubleAccessor

All Superinterfaces:
  Field

All Known Implementing Classes:
  ExternalFloatField, IbmDoubleField

    public interface DoubleAccessor

extends Field

An interface which describes a `Field` which has double accessors.

Method Summary
`double` | `getDouble(byte[] buffer)` Answer a double from the given byte array buffer, at the offset of this field.
`double` | `getDouble(byte[] buffer, int bufOffset)` Answer a double from the given byte array buffer, at the bufOffset + offset of this field.
`void` | `putDouble(double value, byte[] buffer)` Put a double into the given byte array buffer, at the offset of this field.
`void` | `putDouble(double value, byte[] buffer, int bufOffset)` Put a double into the given byte array buffer, at the bufOffset + offset of this field.

Methods inherited from interface com.ibm.jzos.fields.Field
`getByteLength, getOffset, setOffset`

Method Detail

### getDouble

    double getDouble(byte[] buffer)

  Answer a double from the given byte array buffer, at the offset of this field.

  Parameters:
    `buffer` - the byte array
  Returns:
    double

### getDouble

    double getDouble(byte[] buffer,
                     int bufOffset)

  Answer a double from the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Returns:
    double

### putDouble

    void putDouble(double value,
                   byte[] buffer)

  Put a double into the given byte array buffer, at the offset of this field.

  Parameters:
    `value` - the double value
    `buffer` - the byte array

### putDouble

    void putDouble(double value,
                   byte[] buffer,
                   int bufOffset)

  Put a double into the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `value` - the double value
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD